# Download Other Operations report Downloads a generated Other Operations report in CSV or XLSX format. The file is available only when the report status is `available`; large reports can be returned as compressed ZIP files and must be decompressed by your client. In case of success, the request returns a response with status 200. **GET** `/v1/reporting/operations/{reportId}/statements/{uid}/download` ## Request parameters ### Path - `reportId` (string, required) Type of Other Operations report to download. It must match the `reportId` used to generate the task identified by `uid`. The possible values are: - `uid` (string, required) Unique identifier (UUID) of the generation task whose report file will be downloaded. This value is returned as `record_id` when the report is created and matches the `id` returned when checking the task. The task must have the `available` status. ### Query - `format` (string, optional) Format of the report file. The default value is csv. The possible values are: ## Response parameters This endpoint has no response body. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | file_type_not_supported | The requested file format is not supported. Set the `format` query parameter to `csv` or `xlsx` and try the download again. | | 409 | report_not_processed | The report is not available for download because generation has not finished. [Check its status](/developers/en/reference/reports/get-activity-report-status/get) and retry only when it is `available`. | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v1/reporting/operations/{reportId}/statements/{uid}/download?format=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ```